%define contentdir /var/www

Summary:	Squid proxy log analyzer and report generator
Name:		squidanalyzer
Version:	6.5
Release:	%mkrel 3
License:	GPLv3
Group:		Monitoring
URL:		http://%{name}.darold.net/
Source:		http://prdownloads.sourceforge.net/squid-report/%{name}-%{version}.tar.gz
Requires:	squid
BuildRequires:	perl
BuildArch:	noarch
Obsoletes:	sarg < 2.3.2-7

%description
Squid proxy native log analyzer and reports generator with full
statistics about times, hits, bytes, users, networks, top URLs and
top domains. Statistic reports are oriented toward user and
bandwidth control; this is not a pure cache statistics generator.

SquidAnalyzer uses flat files to store data and doesn't need any SQL,
SQL Lite or Berkeley databases.

This log analyzer is incremental and should be run in a daily cron,
or more often with heavy proxy usage.

%prep

%setup -q

%build
perl Makefile.PL DESTDIR=%{buildroot} LOGFILE=%{_logdir}/squid/access.log BINDIR=%{_sbindir} HTMLDIR=%{contentdir}/html/%{name} BASEURL=/%{name} MANDIR=%{_mandir}/man3 QUIET=yes

%make

%install
%makeinstall_std
install -d %{buildroot}%{_sysconfdir}/cron.daily
echo -e "#!/bin/sh\n%{_sbindir}/squid-analyzer" > %{buildroot}%{_sysconfdir}/cron.daily/0%{name}

rm -f %{buildroot}%{_bindir}/squid-analyzer

%files
%defattr(-,root,squid)
%doc README ChangeLog
%{_mandir}/man3/*
%{perl_vendorlib}/SquidAnalyzer.pm
%attr(0755,root,squid) %{_sbindir}/squid-analyzer
%attr(0755,root,squid) %dir %{_sysconfdir}/%{name}
%attr(0664,root,squid) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %attr(0644,root,squid) %{_sysconfdir}/%{name}/excluded
%config(noreplace) %attr(0644,root,squid) %{_sysconfdir}/%{name}/included
%config(noreplace) %attr(0644,root,squid) %{_sysconfdir}/%{name}/network-aliases
%config(noreplace) %attr(0644,root,squid) %{_sysconfdir}/%{name}/user-aliases
%config(noreplace) %attr(0754,root,squid) %{_sysconfdir}/cron.daily/0%{name}
%attr(0755,root,squid) %dir %{_sysconfdir}/%{name}/lang
%{_sysconfdir}/%{name}/lang/*
%attr(0755,root,squid) %dir %{contentdir}/html/%{name}
%{contentdir}/html/%{name}/flotr2.js
%{contentdir}/html/%{name}/sorttable.js
%{contentdir}/html/%{name}/%{name}.css
%attr(0755,root,squid) %dir %{contentdir}/html/%{name}/images
%{contentdir}/html/%{name}/images/*.png



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 6.5-3.mga6
+ Revision: 1036529
- Rebuild for perl 5.22.2

* Tue Jan 19 2016 luigiwalser <luigiwalser> 6.5-2.mga6
+ Revision: 925936
- obsolete sarg

* Mon Jan 11 2016 luigiwalser <luigiwalser> 6.5-1.mga6
+ Revision: 921745
- 6.5

* Wed Oct 15 2014 umeabot <umeabot> 5.4-3.mga5
+ Revision: 747392
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.4-2.mga5
+ Revision: 689309
- Mageia 5 Mass Rebuild

* Mon May 05 2014 luigiwalser <luigiwalser> 5.4-1.mga5
+ Revision: 620301
- 5.4

* Sun Feb 16 2014 luigiwalser <luigiwalser> 5.3-1.mga5
+ Revision: 592821
- add upstream patches about logrotate in docs and fixing pod2man
- 5.3

* Sat Oct 19 2013 umeabot <umeabot> 5.2-2.mga4
+ Revision: 533631
- Mageia 4 Mass Rebuild

* Mon Sep 02 2013 luigiwalser <luigiwalser> 5.2-1.mga4
+ Revision: 474197
- 5.2
- remove upstreamed patch

* Fri Feb 01 2013 luigiwalser <luigiwalser> 5.1-1.mga4
+ Revision: 393913
- 5.1
- fix config files installation

* Mon Jan 14 2013 umeabot <umeabot> 5.0-2.mga3
+ Revision: 382594
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 luigiwalser <luigiwalser> 5.0-1.mga3
+ Revision: 330164
- 5.0

* Fri Aug 31 2012 luigiwalser <luigiwalser> 4.4-1.mga3
+ Revision: 286728
- 4.4

* Tue May 01 2012 luigiwalser <luigiwalser> 4.3-1.mga2
+ Revision: 234415
- 4.3

* Sun Mar 04 2012 luigiwalser <luigiwalser> 4.2-1.mga2
+ Revision: 218188
- imported package squidanalyzer

